#*=====================================================================*/
#*    serrano/prgm/project/bigloo/Makefile.misc                        */
#*    -------------------------------------------------------------    */
#*    Author      :  Manuel Serrano                                    */
#*    Creation    :  Fri Jul  5 10:55:55 2002                          */
#*    Last change :  Tue Aug  6 10:17:34 2002 (serrano)                */
#*    Copyright   :  2002 Manuel Serrano                               */
#*    -------------------------------------------------------------    */
#*    Various misc rules for Bigloo Makefiles.                         */
#*=====================================================================*/

#*---------------------------------------------------------------------*/
#*    Installing/uninstalling a Bigloo library                         */
#*---------------------------------------------------------------------*/
install-lib:
	if [ $(DESTDIR)$(FILDIR) != $(BOOTLIBDIR) ]; then \
	  cp $(BOOTLIBDIR)/$(SUBDIR)$(LIB).a $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).a && \
          chmod $(BMASK) $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).a && \
          $(RANLIB) $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).a || exit 3; \
        fi;
	if [ -f $(BOOTLIBDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) ]; then \
          if [ $(DESTDIR)$(FILDIR) != $(BOOTLIBDIR) ]; then \
	    cp $(BOOTLIBDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
               $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) && \
	    chmod $(BMASK) $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX);\
          fi && \
          if [ "$(LIBDIR)" != "$(DESTDIR)$(FILDIR)" ]; then \
	    $(RM) -f $(LIBDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) && \
            (cd $(LIBDIR) && \
	     $(RM) -f $(LIB).$(SHAREDSUFFIX) && \
             ln -s $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
              $(LIB).$(SHAREDSUFFIX)); \
          fi \
        fi

install-lnlib:
	if [ $(DESTDIR)$(FILDIR) != $(BOOTLIBDIR) ]; then \
	  (cd $(DESTDIR)$(FILDIR)/$(SUBDIR) && \
           $(RM) -f $(LN).a && \
           ln -s $(LIB).a $(LN).a && $(RANLIB) $(LN).a) && \
	  (cd $(DESTDIR)$(FILDIR)/$(SUBDIR) && \
           $(RM) -f $(LN).$(SHAREDSUFFIX) && \
           ln -s $(LIB).$(SHAREDSUFFIX) $(LN).$(SHAREDSUFFIX)); \
        fi
	if [ "$(LIBDIR)" != "$(DESTDIR)$(FILDIR)" ]; then \
	  $(RM) -f $(LIBDIR)/$(LN).$(SHAREDSUFFIX) && \
	  (cd $(LIBDIR) && \
	   $(RM) -f $(LN).$(SHAREDSUFFIX) && \
           ln -s $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX) \
                 $(LN).$(SHAREDSUFFIX)) \
        fi

uninstall-lib:
	$(RM) -f $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).a
	$(RM) -f $(DESTDIR)$(FILDIR)/$(SUBDIR)$(LIB).$(SHAREDSUFFIX)
	$(RM) -f $(LIBDIR)/$(LIB).$(SHAREDSUFFIX)

